Package org.apache.ignite.internal.jdbc2

## Class JdbcClob

- java.lang.Object
- - org.apache.ignite.internal.jdbc2.JdbcClob

All Implemented Interfaces:
  `Clob`

    public class JdbcClob
    extends Object
    implements Clob

CLOB implementation for Ignite JDBC driver.

### Constructor Summary

Constructors
`JdbcClob​(String chars)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `free()`
`InputStream` `getAsciiStream()`
`Reader` `getCharacterStream()`
`Reader` `getCharacterStream​(long pos, long len)`
`String` `getSubString​(long pos, int len)`
`long` `length()`
`long` `position​(String searchStr, long start)`
`long` `position​(Clob searchStr, long start)`
`OutputStream` `setAsciiStream​(long pos)`
`Writer` `setCharacterStream​(long pos)`
`int` `setString​(long pos, String str)`
`int` `setString​(long pos, String str, int off, int len)`
`void` `truncate​(long len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcClob

    public JdbcClob​(String chars)

Parameters:
  `chars` - CLOB's character sequence.

### Method Detail

#### length

    public long length()
                throws SQLException

Specified by:
  `length` in interface `Clob`
Throws:
  `SQLException`

#### getSubString

    public String getSubString​(long pos,
                               int len)
                        throws SQLException

Specified by:
  `getSubString` in interface `Clob`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream()
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `Clob`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream​(long pos,
                                     long len)
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `Clob`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream()
                               throws SQLException

Specified by:
  `getAsciiStream` in interface `Clob`
Throws:
  `SQLException`

#### position

    public long position​(String searchStr,
                         long start)
                  throws SQLException

Specified by:
  `position` in interface `Clob`
Throws:
  `SQLException`

#### position

    public long position​(Clob searchStr,
                         long start)
                  throws SQLException

Specified by:
  `position` in interface `Clob`
Throws:
  `SQLException`

#### setString

    public int setString​(long pos,
                         String str)
                  throws SQLException

Specified by:
  `setString` in interface `Clob`
Throws:
  `SQLException`

#### setString

    public int setString​(long pos,
                         String str,
                         int off,
                         int len)
                  throws SQLException

Specified by:
  `setString` in interface `Clob`
Throws:
  `SQLException`

#### truncate

    public void truncate​(long len)
                  throws SQLException

Specified by:
  `truncate` in interface `Clob`
Throws:
  `SQLException`

#### setAsciiStream

    public OutputStream setAsciiStream​(long pos)
                                throws SQLException

Specified by:
  `setAsciiStream` in interface `Clob`
Throws:
  `SQLException`

#### setCharacterStream

    public Writer setCharacterStream​(long pos)
                              throws SQLException

Specified by:
  `setCharacterStream` in interface `Clob`
Throws:
  `SQLException`

#### free

    public void free()
              throws SQLException

Specified by:
  `free` in interface `Clob`
Throws:
  `SQLException`